<h2 mat-dialog-title *ngIf="!editMode">Nuevo Plan</h2>
<h2 mat-dialog-title *ngIf="editMode">Editar Plan</h2>
<mat-dialog-content class="mat-typography">
    <mat-stepper [linear]="true" #stepper>
        <mat-step [stepControl]="firstForm">
          <form [formGroup]="firstForm">
            <ng-template matStepLabel>Datos de Plan</ng-template>

                <p>
                    <mat-form-field appearance="fill" floatLabel="always">
                      <input formControlName="name" matInput placeholder="Nombre" required>
                    </mat-form-field>
                </p>
                <p>
                    <mat-slide-toggle formControlName="enabled"> Activado </mat-slide-toggle>
                </p>
            <div>
              <button mat-button matStepperNext [disabled]="firstForm.invalid" >Siguiente</button>
            </div>
          </form>
        </mat-step>

        <mat-step label="Guardar">
            <div>
              <button mat-button matStepperPrevious>Atrás</button>
              <button mat-button [mat-dialog-close]="savePlan()" cdkFocusInitial [disabled]="firstForm.invalid">Guardar</button>
            </div>
        </mat-step>
    </mat-stepper> 
</mat-dialog-content>